<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE web-app PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.3//EN" "http://java.sun.com/dtd/web-app_2_3.dtd">
<web-app>
  <display-name>Jonas Administration Application</display-name>
  <description>Jonas HTML based administration web application.</description>
  <!-- JonasAdmin-flex filter -->
  <filter>
   <filter-name>AMFMessageFilter</filter-name>
   <filter-class>
    org.granite.messaging.webapp.AMFMessageFilter
   </filter-class>
  </filter>
  <filter-mapping>
   <filter-name>AMFMessageFilter</filter-name>
   <url-pattern>/graniteamf/*</url-pattern>
  </filter-mapping>
  <!-- Granite config context listener -->
  <listener>
    <listener-class>org.granite.config.GraniteConfigListener</listener-class>
    </listener>
  <servlet>
    <servlet-name>action</servlet-name>
    <servlet-class>org.apache.struts.action.ActionServlet</servlet-class>
    <init-param>
      <param-name>config</param-name>
      <param-value>/WEB-INF/struts-config.xml</param-value>
    </init-param>
    <init-param>
      <param-name>debug</param-name>
      <param-value>0</param-value>
    </init-param>
    <init-param>
      <param-name>detail</param-name>
      <param-value>0</param-value>
    </init-param>
    <init-param>
      <param-name>locale</param-name>
      <param-value>true</param-value>
    </init-param>
    <init-param>
      <param-name>nocache</param-name>
      <param-value>true</param-value>
    </init-param>
    <init-param>
      <param-name>tagsimagesroot</param-name>
      <param-value>${CONTEXT}/images</param-value>
    </init-param>
    <init-param>
      <param-name>treebuilders</param-name>
      <param-value>org.ow2.jonas.webapp.jonasadmin.JonasTreeBuilder</param-value>
    </init-param>
    <init-param>
      <param-name>validate</param-name>
      <param-value>true</param-value>
    </init-param>
    <load-on-startup>2</load-on-startup>
  </servlet>
    <servlet>
    <servlet-name>MemoryGraphServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.MemoryGraphServlet</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>MemoryGraphRemoteHostServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.clusterd.servlet.MemoryGraphRemoteHostServlet</servlet-class>
  </servlet>
  <!-- other server servlets -->
  <servlet>
    <servlet-name>ThreadCountServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.ThreadCountServlet</servlet-class>
  </servlet>
  <servlet>
    <servlet-name>ServerCurrentTxServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.ServerCurrentTxServlet</servlet-class>
  </servlet>
  <!-- JonasAdmin-flex servlet -->
  <servlet>
   <servlet-name>AMFMessageServlet</servlet-name>
   <servlet-class>
    org.granite.messaging.webapp.AMFMessageServlet
   </servlet-class>
   <load-on-startup>1</load-on-startup>
  </servlet>
  <!-- Tomcat server -->
   <!-- BytesReceivedByConnectorTomcatServlet compared To total received + sent bytes -->
  <servlet>
    <servlet-name>BytesReceivedByConnectorTomcatServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.BytesReceivedByConnectorTomcatServlet</servlet-class>
  </servlet>
  <!-- BytesSentByConnectorTomcatServlet compared To total received + sent bytes -->
  <servlet>
    <servlet-name>BytesSentByConnectorTomcatServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.BytesSentByConnectorTomcatServlet</servlet-class>
  </servlet>

  <!-- ErrorCountByConnectorTomcat -->
  <servlet>
    <servlet-name>ErrorCountByConnectorTomcatServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.ErrorCountByConnectorTomcatServlet</servlet-class>
  </servlet>

   <!-- ProcessingTimeByConnectorTomcatServlet -->
  <servlet>
    <servlet-name>ProcessingTimeByConnectorTomcatServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.ProcessingTimeByConnectorTomcatServlet</servlet-class>
  </servlet>
   <!-- RequestCountByConnectorTomcat -->
  <servlet>
    <servlet-name>RequestCountByConnectorTomcatServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.RequestCountByConnectorTomcatServlet</servlet-class>
  </servlet>

   <!-- RequestCountByConnectorTomcat -->
  <servlet>
    <servlet-name>ThreadBusyConnectorTomcatServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.ThreadBusyConnectorTomcatServlet</servlet-class>
  </servlet>



<!-- JMS -->
 <!-- JmsQMsgDeliverServlet compared to total jms messages -->
  <servlet>
    <servlet-name>JmsQMsgDeliverServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.JmsQMsgDeliverServlet</servlet-class>
  </servlet>

  <!-- JmsQueuesNbMsgsReceiveSinceCreation compared to Total jms messages -->
  <servlet>
    <servlet-name>JmsQMsgReceiveServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.JmsQMsgReceiveServlet</servlet-class>
  </servlet>


  <!-- JmsTopicMsgDeliverServlet compared to total jms topics -->
  <servlet>
    <servlet-name>JmsTopicMsgDeliverServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.JmsTopicMsgDeliverServlet</servlet-class>
  </servlet>

  <!-- JmsTopicMsgReceiveServlet compared to Total jms topics -->
  <servlet>
    <servlet-name>JmsTopicMsgReceiveServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.JmsTopicMsgReceiveServlet</servlet-class>
  </servlet>


  <!-- Transactions -->
  <!-- TotalCommittedTransactionsServlet compared To total transactions -->
  <servlet>
    <servlet-name>TotalCommittedTransactionsServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.TotalCommittedTransactionsServlet</servlet-class>
  </servlet>
   <!-- Begun transaction compared To total transactions -->
  <servlet>
    <servlet-name>BegunTransactionsServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.BegunTransactionsServlet</servlet-class>
  </servlet>
  <!-- TotalExpiredTransactionsServlet compared To total transactions -->
  <servlet>
    <servlet-name>TotalExpiredTransactionsServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.TotalExpiredTransactionsServlet</servlet-class>
  </servlet>

   <!-- TotalRolledbackTransactionsServlet compared To total transactions -->
  <servlet>
    <servlet-name>TotalRolledbackTransactionsServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.TotalRolledbackTransactionsServlet</servlet-class>
  </servlet>

  <!-- JCA connections  -->
  <!-- ConnectionFailuresJCAConnection compared To total OpenedJCAConnections -->
  <servlet>
    <servlet-name>ConnectionFailuresJCAConnectionServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.ConnectionFailuresJCAConnectionServlet</servlet-class>
  </servlet>

<!-- ConnectionLeaksJCAConnection compared To total OpenedJCAConnections -->
  <servlet>
    <servlet-name>ConnectionLeaksJCAConnectionServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.ConnectionLeaksJCAConnectionServlet</servlet-class>
  </servlet>

  <!-- CurrentBusyJCAConnection compared To total OpenedJCAConnections -->
  <servlet>
    <servlet-name>CurrentBusyJCAConnectionServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.CurrentBusyJCAConnectionServlet</servlet-class>
  </servlet>

<!-- RejectedOpenJCAConnection compared To total OpenedJCAConnections -->
  <servlet>
    <servlet-name>RejectedOpenJCAConnectionServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.RejectedOpenJCAConnectionServlet</servlet-class>
  </servlet>

  <!-- ServedOpenJCAConnection compared To total OpenedJCAConnections -->
  <servlet>
    <servlet-name>ServedOpenJCAConnectionServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.ServedOpenJCAConnectionServlet</servlet-class>
  </servlet>

  <!-- WaiterCountJCAConnection compared To total OpenedJCAConnections -->
  <servlet>
    <servlet-name>WaiterCountJCAConnectionServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.WaiterCountJCAConnectionServlet</servlet-class>
  </servlet>


<!-- JDBC resources  -->

<!-- ConnectionLeaksJDBCResource compared To total JDBCResources -->
  <servlet>
    <servlet-name>ConnectionLeaksJDBCResourceServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.ConnectionLeaksJDBCResourceServlet</servlet-class>
  </servlet>

  <!-- CurrentBusyJDBCResource compared To total JDBCResources -->
  <servlet>
    <servlet-name>CurrentBusyJDBCResourceServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.CurrentBusyJDBCResourceServlet</servlet-class>
  </servlet>

<!-- RejectedOpenJDBCResource compared To total JDBCResources -->
  <servlet>
    <servlet-name>RejectedOpenJDBCResourceServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.RejectedOpenJDBCResourceServlet</servlet-class>
  </servlet>

  <!-- ServedOpenJDBCResource compared To total JDBCResources -->
  <servlet>
    <servlet-name>ServedOpenJDBCResourceServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.ServedOpenJDBCResourceServlet</servlet-class>
  </servlet>

  <!-- WaiterCountJDBCResourceServlet compared To total JDBCResources -->
  <servlet>
    <servlet-name>WaiterCountJDBCResourceServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.WaiterCountJDBCResourceServlet</servlet-class>
  </servlet>
<!-- EJB count compared to total Beans count-->
<servlet>
    <servlet-name>CurrentNumberOfEJBServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.CurrentNumberOfEJBServlet</servlet-class>
  </servlet>


<!-- CurrentNumberOfEntityBeanServlet compared to total Beans count-->
  <servlet>
    <servlet-name>CurrentNumberOfEntityBeanServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.CurrentNumberOfEntityBeanServlet</servlet-class>
  </servlet>

<!-- Message Driven Beans compared to total Beans count-->
<servlet>
    <servlet-name>CurrentNumberOfMDBServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.CurrentNumberOfMDBServlet</servlet-class>
  </servlet>

<!-- CurrentNumberOfSBF compared to total Beans count-->
<servlet>
    <servlet-name>CurrentNumberOfSBFServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.CurrentNumberOfSBFServlet</servlet-class>
  </servlet>


<!-- CurrentNumberOfSBL compared to total Beans count-->
<servlet>
    <servlet-name>CurrentNumberOfSBLServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.CurrentNumberOfSBLServlet</servlet-class>
  </servlet>
<!--Load CPU -->
<servlet>
    <servlet-name>LoadCPUServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.LoadCPUServlet</servlet-class>
  </servlet>

<!--WorkersServlet count -->
<servlet>
    <servlet-name>WorkersServlet</servlet-name>
    <servlet-class>org.ow2.jonas.webapp.jonasadmin.monitoring.graph.servlets.server.WorkersServlet</servlet-class>
  </servlet>

  <servlet>
    <servlet-name>LogoutServlet</servlet-name>
    <servlet-class>org.ow2.jasmine.kerneos.login.LogoutServlet</servlet-class>
  </servlet>

  <!-- [INSERT FRAGMENT HERE] -->
  <servlet-mapping>
    <servlet-name>LogoutServlet</servlet-name>
    <url-pattern>/LogoutServlet</url-pattern>
  </servlet-mapping>  <servlet-mapping>
    <servlet-name>action</servlet-name>
    <url-pattern>*.do</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>MemoryGraphRemoteHostServlet</servlet-name>
    <url-pattern>/MemoryGraphRemoteHostServlet</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>MemoryGraphServlet</servlet-name>
    <url-pattern>/MemoryGraphServlet</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ThreadCountServlet</servlet-name>
    <url-pattern>/ThreadCountServlet</url-pattern>
  </servlet-mapping>
  <servlet-mapping>
    <servlet-name>ServerCurrentTxServlet</servlet-name>
    <url-pattern>/ServerCurrentTxServlet</url-pattern>
  </servlet-mapping>
<!-- Tomcat -->
<servlet-mapping>
    <servlet-name>BytesReceivedByConnectorTomcatServlet</servlet-name>
    <url-pattern>/BytesReceivedByConnectorTomcatServlet</url-pattern>
  </servlet-mapping>

<servlet-mapping>
    <servlet-name>BytesSentByConnectorTomcatServlet</servlet-name>
    <url-pattern>/BytesSentByConnectorTomcatServlet</url-pattern>
  </servlet-mapping>
<servlet-mapping>
    <servlet-name>ErrorCountByConnectorTomcatServlet</servlet-name>
    <url-pattern>/ErrorCountByConnectorTomcatServlet</url-pattern>
  </servlet-mapping>

  <servlet-mapping>
    <servlet-name>ProcessingTimeByConnectorTomcatServlet</servlet-name>
    <url-pattern>/ProcessingTimeByConnectorTomcatServlet</url-pattern>
  </servlet-mapping>

  <servlet-mapping>
    <servlet-name>RequestCountByConnectorTomcatServlet</servlet-name>
    <url-pattern>/RequestCountByConnectorTomcatServlet</url-pattern>
  </servlet-mapping>

  <servlet-mapping>
    <servlet-name>ThreadBusyConnectorTomcatServlet</servlet-name>
    <url-pattern>/ThreadBusyConnectorTomcatServlet</url-pattern>
  </servlet-mapping>

  <!-- JonasAdmin-flex servlet-mapping -->
  <servlet-mapping>
   <servlet-name>AMFMessageServlet</servlet-name>
   <url-pattern>/graniteamf/*</url-pattern>
  </servlet-mapping>

<!-- JMS -->

 <servlet-mapping>
    <servlet-name>JmsQMsgDeliverServlet</servlet-name>
    <url-pattern>/JmsQMsgDeliverServlet</url-pattern>
  </servlet-mapping>

 <servlet-mapping>
    <servlet-name>JmsQMsgReceiveServlet</servlet-name>
    <url-pattern>/JmsQMsgReceiveServlet</url-pattern>
  </servlet-mapping>

  <servlet-mapping>
    <servlet-name>JmsTopicMsgDeliverServlet</servlet-name>
    <url-pattern>/JmsTopicMsgDeliverServlet</url-pattern>
  </servlet-mapping>

<servlet-mapping>
    <servlet-name>JmsTopicMsgReceiveServlet</servlet-name>
    <url-pattern>/JmsTopicMsgReceiveServlet</url-pattern>
  </servlet-mapping>
<!-- transactions -->
<servlet-mapping>
    <servlet-name>TotalCommittedTransactionsServlet</servlet-name>
    <url-pattern>/TotalCommittedTransactionsServlet</url-pattern>
  </servlet-mapping>

<servlet-mapping>
    <servlet-name>BegunTransactionsServlet</servlet-name>
    <url-pattern>/BegunTransactionsServlet</url-pattern>
  </servlet-mapping>

<servlet-mapping>
    <servlet-name>TotalExpiredTransactionsServlet</servlet-name>
    <url-pattern>/TotalExpiredTransactionsServlet</url-pattern>
  </servlet-mapping>

<servlet-mapping>
    <servlet-name>TotalRolledbackTransactionsServlet</servlet-name>
    <url-pattern>/TotalRolledbackTransactionsServlet</url-pattern>
  </servlet-mapping>
<!-- JCA -->
<servlet-mapping>
    <servlet-name>ConnectionFailuresJCAConnectionServlet</servlet-name>
    <url-pattern>/ConnectionFailuresJCAConnectionServlet</url-pattern>
  </servlet-mapping>
<servlet-mapping>
    <servlet-name>ConnectionLeaksJCAConnectionServlet</servlet-name>
    <url-pattern>/ConnectionLeaksJCAConnectionServlet</url-pattern>
  </servlet-mapping>

  <servlet-mapping>
    <servlet-name>CurrentBusyJCAConnectionServlet</servlet-name>
    <url-pattern>/CurrentBusyJCAConnectionServlet</url-pattern>
  </servlet-mapping>

<servlet-mapping>
    <servlet-name>RejectedOpenJCAConnectionServlet</servlet-name>
    <url-pattern>/RejectedOpenJCAConnectionServlet</url-pattern>
  </servlet-mapping>
<servlet-mapping>
    <servlet-name>ServedOpenJCAConnectionServlet</servlet-name>
    <url-pattern>/ServedOpenJCAConnectionServlet</url-pattern>
  </servlet-mapping>

<servlet-mapping>
    <servlet-name>WaiterCountJCAConnectionServlet</servlet-name>
    <url-pattern>/WaiterCountJCAConnectionServlet</url-pattern>
  </servlet-mapping>

<!-- JDBC resources  -->
<servlet-mapping>
    <servlet-name>ConnectionLeaksJDBCResourceServlet</servlet-name>
    <url-pattern>/ConnectionLeaksJDBCResourceServlet</url-pattern>
  </servlet-mapping>

<servlet-mapping>
    <servlet-name>CurrentBusyJDBCResourceServlet</servlet-name>
    <url-pattern>/CurrentBusyJDBCResourceServlet</url-pattern>
  </servlet-mapping>
<servlet-mapping>
    <servlet-name>RejectedOpenJDBCResourceServlet</servlet-name>
    <url-pattern>/RejectedOpenJDBCResourceServlet</url-pattern>
  </servlet-mapping>

<servlet-mapping>
    <servlet-name>ServedOpenJDBCResourceServlet</servlet-name>
    <url-pattern>/ServedOpenJDBCResourceServlet</url-pattern>
  </servlet-mapping>

<servlet-mapping>
    <servlet-name>WaiterCountJDBCResourceServlet</servlet-name>
    <url-pattern>/WaiterCountJDBCResourceServlet</url-pattern>
  </servlet-mapping>

<!-- BEANS -->

<servlet-mapping>
    <servlet-name>CurrentNumberOfEJBServlet</servlet-name>
    <url-pattern>/CurrentNumberOfEJBServlet</url-pattern>
  </servlet-mapping>

<servlet-mapping>
    <servlet-name>CurrentNumberOfEntityBeanServlet</servlet-name>
    <url-pattern>/CurrentNumberOfEntityBeanServlet</url-pattern>
  </servlet-mapping>

<servlet-mapping>
    <servlet-name>CurrentNumberOfMDBServlet</servlet-name>
    <url-pattern>/CurrentNumberOfMDBServlet</url-pattern>
  </servlet-mapping>

<servlet-mapping>
    <servlet-name>CurrentNumberOfSBFServlet</servlet-name>
    <url-pattern>/CurrentNumberOfSBFServlet</url-pattern>
  </servlet-mapping>

<servlet-mapping>
    <servlet-name>CurrentNumberOfSBLServlet</servlet-name>
    <url-pattern>/CurrentNumberOfSBLServlet</url-pattern>
  </servlet-mapping>

<servlet-mapping>
    <servlet-name>LoadCPUServlet</servlet-name>
    <url-pattern>/LoadCPUServlet</url-pattern>
  </servlet-mapping>

  <taglib>
    <taglib-uri>/WEB-INF/struts-bean.tld</taglib-uri>
    <taglib-location>/WEB-INF/struts-bean.tld</taglib-location>
  </taglib>
  <taglib>
    <taglib-uri>/WEB-INF/struts-html.tld</taglib-uri>
    <taglib-location>/WEB-INF/struts-html.tld</taglib-location>
  </taglib>
  <taglib>
    <taglib-uri>/WEB-INF/struts-logic.tld</taglib-uri>
    <taglib-location>/WEB-INF/struts-logic.tld</taglib-location>
  </taglib>
  <taglib>
    <taglib-uri>/WEB-INF/struts-template.tld</taglib-uri>
    <taglib-location>/WEB-INF/struts-template.tld</taglib-location>
  </taglib>
  <security-constraint>
    <display-name>Jonas Server Configuration Security Constraint</display-name>
    <web-resource-collection>
      <web-resource-name>Protected Area</web-resource-name>
      <url-pattern>/MemoryGraphServlet</url-pattern>
      <url-pattern>/MemoryGraphRemoteHostServlet</url-pattern>
      <url-pattern>/ThreadCountServlet</url-pattern>
      <url-pattern>/ServerCurrentTxServlet</url-pattern>

      <url-pattern>/BytesReceivedByConnectorTomcatServlet</url-pattern>
      <url-pattern>/BytesSentByConnectorTomcatServlet</url-pattern>
      <url-pattern>/ErrorCountByConnectorTomcatServlet</url-pattern>
      <url-pattern>/ProcessingTimeByConnectorTomcatServlet</url-pattern>
      <url-pattern>/RequestCountByConnectorTomcatServlet</url-pattern>
      <url-pattern>/ThreadBusyConnectorTomcatServlet</url-pattern>
      <url-pattern>/JmsQMsgDeliverServlet</url-pattern>
      <url-pattern>/JmsQMsgReceiveServlet</url-pattern>
      <url-pattern>/JmsTopicMsgDeliverServlet</url-pattern>
      <url-pattern>/JmsTopicMsgReceiveServlet</url-pattern>
      <url-pattern>/TotalCommittedTransactionsServlet</url-pattern>
      <url-pattern>/BegunTransactionsServlet</url-pattern>
      <url-pattern>/TotalExpiredTransactionsServlet</url-pattern>
      <url-pattern>/TotalRolledbackTransactionsServlet</url-pattern>
      <url-pattern>/ConnectionFailuresJCAConnectionServlet</url-pattern>
      <url-pattern>/ConnectionLeaksJCAConnectionServlet</url-pattern>
      <url-pattern>/CurrentBusyJCAConnectionServlet</url-pattern>
      <url-pattern>/RejectedOpenJCAConnectionServlet</url-pattern>
      <url-pattern>/ServedOpenJCAConnectionServlet</url-pattern>
      <url-pattern>/WaiterCountJCAConnectionServlet</url-pattern>
      <url-pattern>/ConnectionLeaksJDBCResourceServlet</url-pattern>
      <url-pattern>/CurrentBusyJDBCResourceServlet</url-pattern>
      <url-pattern>/RejectedOpenJDBCResourceServlet</url-pattern>
      <url-pattern>/ServedOpenJDBCResourceServlet</url-pattern>
      <url-pattern>/WaiterCountJDBCResourceServlet</url-pattern>
      <url-pattern>/CurrentNumberOfEJBServlet</url-pattern>
      <url-pattern>/CurrentNumberOfEntityBeanServlet</url-pattern>
      <url-pattern>/CurrentNumberOfMDBServlet</url-pattern>
      <url-pattern>/CurrentNumberOfSBFServlet</url-pattern>
      <url-pattern>/CurrentNumberOfSBLServlet</url-pattern>
      <url-pattern>/LoadCPUServlet</url-pattern>
      <url-pattern>*.jsp</url-pattern>
      <url-pattern>*.do</url-pattern>
      <url-pattern>*.html</url-pattern>
      <url-pattern>*.swf</url-pattern>
    </web-resource-collection>
    <auth-constraint>
      <role-name>jonas-admin</role-name>
    </auth-constraint>
    <user-data-constraint>
      <transport-guarantee>NONE</transport-guarantee>
    </user-data-constraint>
  </security-constraint>

    <login-config>
    <auth-method>FORM</auth-method>
    <realm-name>JOnAS Realm</realm-name>
    <form-login-config>
      <form-login-page>/login.jsp</form-login-page>
      <form-error-page>/error.jsp</form-error-page>
    </form-login-config>
  </login-config>
  <security-role>
    <description>The role that is required to log in to the Administration Application</description>
    <role-name>jonas-admin</role-name>
  </security-role>
</web-app>
